Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicMenuUI.ChangeHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicMenuUI.ChangeHandler

All Implemented Interfaces:
  ChangeListener, EventListener

Enclosing class:
  BasicMenuUI

public class BasicMenuUI.ChangeHandler
extends Object
implements ChangeListener

Field Summary
`boolean` | `isSelected`
`JMenu` | `menu`
`BasicMenuUI` | `ui`
`Component` | `wasFocused`

Constructor Summary
`BasicMenuUI.ChangeHandler(JMenu m, BasicMenuUI ui)`

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### menu

    public JMenu menu

### ui

    public BasicMenuUI ui

### isSelected

    public boolean isSelected

### wasFocused

    public Component wasFocused

Constructor Detail

### BasicMenuUI.ChangeHandler

    public BasicMenuUI.ChangeHandler(JMenu m,
                                     BasicMenuUI ui)

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.
  Specified by:
    `stateChanged` in interface `ChangeListener`
  Following copied from interface: `javax.swing.event.ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.